# BPS_FBI_sp_ecoli


<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Install

``` sh
pip install BPS_FBI_sp_ecoli
```

## How to use

Determines the serotype and virulence in ecoli through kmer alignment

``` python
! FBI_run_bifrostecolipostkma -h
```

    usage: FBI_run_bifrostecolipostkma [-h] [--input INPUT]
                                       [--sample_sheet SAMPLE_SHEET]
                                       [--output OUTPUT] [--db_path DB_PATH]
                                       [--kma_path KMA_PATH]
                                       [--command_file COMMAND_FILE] [--execute]
                                       [--to_stdout] [--overwrite]
                                       [--config_file CONFIG_FILE]

    This program takes as input a folder containing fastq.gz files and a
    sample_sheet containing SampleID Organism SupplyingLab ecoli1 Ecoli FBI and
    allows you to run bifrostecolipostkma.py on all Ecoli samples.

    options:
      -h, --help                   show this help message and exit
      --input INPUT                Path to input folder that contains the .fastq.gz
                                   files
      --sample_sheet SAMPLE_SHEET  Name of the sample_sheet file
      --output OUTPUT              Path to the output directory
      --db_path DB_PATH            Path to db folder that contains the indexed
                                   database files e.g., file.comp.b, file.fsa,
                                   file.index.db, file.lenght.b, file.name,
                                   file.seq.b
      --kma_path KMA_PATH          Path to kma program
      --command_file COMMAND_FILE  Path to file to write commands to
      --execute                    Run commands in command file (default: False)
      --to_stdout                  If true, will write to stdout instead of file,
                                   mutually exclusive with output_file (default:
                                   False)
      --overwrite                  If true, will overwrite output_file if it exists
                                   (default: False)
      --config_file CONFIG_FILE    Config file to overwrite default settings, arg
                                   parse values will override config file values,

``` python
#! FBI_run_bifrostecolipostkma --input input/231116_CUSTOM_SSIFBI_ECOLI --sample_sheet sample_sheet.xlsx --output output/231116_CUSTOM_SSIFBI_ECOLI --command_file output/231116_CUSTOM_SSIFBI_ECOLI/run_bifrostecolipostkma.tsv --execute
```

``` python
! FBI_run_qcecolisummary -h
```

    usage: FBI_run_qcecolisummary [-h] [--input INPUT] [--output OUTPUT]
                                  [--command_file COMMAND_FILE] [--execute]
                                  [--to_stdout] [--overwrite]
                                  [--config_file CONFIG_FILE]

    This program takes as input a folder containing .tsv files and allows you to run
    qcecolisummary.py on all Ecoli samples.

    options:
      -h, --help                   show this help message and exit
      --input INPUT                Path to input folder that contains the results of
                                   kma matching against the ecoligenes db (the
                                   folder)
      --output OUTPUT              Path to the output directory
      --command_file COMMAND_FILE  Path to file to write commands to
      --execute                    Run commands in command file (default: False)
      --to_stdout                  If true, will write to stdout instead of file,
                                   mutually exclusive with output_file (default:
                                   False)
      --overwrite                  If true, will overwrite output_file if it exists
                                   (default: False)
      --config_file CONFIG_FILE    Config file to overwrite default settings, arg
                                   parse values will override config file values,

``` python
#! FBI_run_bifrostecolipostkma --input input/231116_CUSTOM_SSIFBI_ECOLI --sample_sheet sample_sheet.xlsx --output output/231116_CUSTOM_SSIFBI_ECOLI --command_file output/231116_CUSTOM_SSIFBI_ECOLI/run_bifrostecolipostkma.tsv --execute
```
